"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StyleManager = exports.MiniRenderer = void 0;
exports.addCopyButtons = addCopyButtons;
var renderer_1 = require("./components/renderer");
Object.defineProperty(exports, "MiniRenderer", { enumerable: true, get: function () { return renderer_1.MiniRenderer; } });
var styleManager_1 = require("./components/styleManager");
Object.defineProperty(exports, "StyleManager", { enumerable: true, get: function () { return styleManager_1.StyleManager; } });
__exportStar(require("./components/types"), exports);
// Helper function to add copy buttons to code blocks
function addCopyButtons() {
    if (typeof document === 'undefined')
        return;
    const codeBlocks = document.querySelectorAll('.code-block-container');
    codeBlocks.forEach((container) => {
        if (!container.querySelector('.copy-button')) {
            const button = document.createElement('button');
            button.className = 'copy-button';
            button.innerHTML = '<span class="copy-icon"></span>';
            button.onclick = () => copyCodeBlock(container);
            container.appendChild(button);
        }
    });
}
// Helper function to copy code block content
function copyCodeBlock(block) {
    let text;
    if (block.classList.contains('rendered-markdown-container')) {
        const rawMarkdown = block.querySelector('.raw-markdown');
        text = rawMarkdown ? rawMarkdown.textContent || '' : '';
    }
    else {
        const code = block.querySelector('code') || block;
        text = code.textContent || '';
    }
    navigator.clipboard.writeText(text).then(() => {
        console.log('Code block copied to clipboard');
    }).catch(err => {
        console.error('Failed to copy code block: ', err);
    });
}
